/*****************************************************************************
 *                     Yumetech, Inc Copyright (c) 2004-2005
 *                               Java Source
 *
 * This source is licensed under the GNU LGPL v2.1
 * Please read http://www.gnu.org/copyleft/lgpl.html for more information
 *
 * This software comes with the standard NO WARRANTY disclaimer for any
 * purpose. Use it at your own risk. If there's a problem you get to fix it.
 *
 ****************************************************************************/

package org.j3d.aviatrix3d;

// External imports
import javax.vecmath.Matrix4f;

// Local imports
// None

/**
 * Class for passing the detailed rendering information through the pipeline.
 * <p>
 *
 * @author Alan Hudson
 * @version $Revision: 1.2 $
 */
public class CullAudioOutputDetails
{
    /** The node instance to be rendered. */
    public AudioRenderable renderable;

    /** The transform from the root of the scene graph to here */
    public Matrix4f transform;

    /**
     * Construct a default instance with just the transform initialised to the
     * zero matrix.
     */
    public CullAudioOutputDetails()
    {
        transform = new Matrix4f();
    }
}
